<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_28c85ce81fee6532980262893b6f24" . "25" => base64_decode("dXNlcm5" . "hbWU="), "_8cca4dd34e20c5344" . "bb2a30f2533c4e5" => base64_decode("ZnVsbF9u" . "YW1l"), "user_i" . "d" => base64_decode("dXN" . "lcl" . "9pZ" . "A=="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["us" . "er" . "_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_8cca4dd34e20c5344bb2a30f2" . "533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_28c85ce81fee653298" . "0262893b6f2425"]);
    }
}